PC SOFT

GRUPOS DE DISCUSSÃO PROFISSIONAL
WINDEVWEBDEV e WINDEV Mobile

Inicio → WEBDEV 26 → Is Native MsSQL TLS 1.2 Compatible
Is Native MsSQL TLS 1.2 Compatible
Iniciado por PrinceFemiAdeniyi, jul., 01 2022 11:33 AM - 5 respostas
Membro registado
29 mensagems
Popularité : +1 (1 vote)
Publicado em julho, 01 2022 - 11:33 AM
Dear All,

Recently for security reasons, my client upgraded her Db-Server TLS version to 1.2. And immediately all my WB apps could not access the data on MS-Sql 2017. After so much troubleshooting and no success, it was step down to TLS 1.1 temporarily.

Is WB Native MSSQL driver compatible or how do I solve this challenge?

Appreciate all guidance to get this resolved asap. WB is really looking bad as other Apps developed in C#, .Net by other vendors are working on the same server.

Best regards

--
Thanks in advance
Femi
Membro registado
50 mensagems
Popularité : +7 (9 votes)
Publicado em julho, 01 2022 - 8:24 PM
What version of Webdev are you using ?
Membro registado
50 mensagems
Popularité : +7 (9 votes)
Publicado em julho, 01 2022 - 8:24 PM
I am asking because as you know the drivers are updated as well with each version
Mensagem modificada, julho, 01 2022 - 8:25 PM
Membro registado
29 mensagems
Popularité : +1 (1 vote)
Publicado em julho, 02 2022 - 8:24 AM
I am on WB 26. Build 01A2600101d

Thanks

--
Thanks in advance
Femi
Membro registado
29 mensagems
Popularité : +1 (1 vote)
Publicado em julho, 12 2022 - 7:10 AM
WINDEVCOL wrote:
> What version of Webdev are you using ?

WINDEVCOL wrote:
I am asking because as you know the drivers are updated as well with each version
Message modified, July, 01 2022 - 8:25 PM


WB 26 01A2600101d

--
Thanks in advance
Femi
Membro registado
6 mensagems
Publicado em julho, 14 2022 - 9:14 AM
I did run into something mentioning the upgraded native client, but if I'm understanding this correctly, the App itself would have to be programmed/configured to use the newer driver, correct? Not enough to just install the newer client? This is a noob question I'm sure but my programming chops are basically nil.
I had a similar issue with a a 3rd party client and after some research I found that I had to set SchUseStrongCrypto to true in:

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft.NETFramework\v4.0.30319]

&

[HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft.NETFramework\v4.0.30319]

For my particular issue the client was using 1.2 for most things, but 1.0 for a very specific task.
https://techcommunity.microsoft.com/t5/sql-server-blog/tls-1-2-support-for-sql-server-2008-2008-r2-2012-and-2014/ba-p/384613
https://www.echat.date/omegle / https://omegle.love